# babel-plugin-variable-replace"
 This plugin, like Webpack's DefinePlugin , allows you to create a global variable and configure it in advance.
 ## Usage
 
 ### install
 ``` javascript
 npm i babel-plugin-variable-replace --save-dev
 ``` 
 ### .babelrc
 ``` javascript
 {
   "plugins": [
     ["variable-replace", {
       "___TITLE___": "title",
       "___ENV___":"production"
     }]
   ]
 }
 ```
 ## in
 ```javascript
 const title = ___TITLE___;
 const env = ___ENV___;
 const isProduction = ___ENV___==="production";
```
## out
```javascript
const title = title;
const env = production;
const isProduction = true;
```