module.exports = function ({types: t}) {
  return {
    visitor: {
      Identifier(path, {opts}) {
        Object.keys(opts).forEach(item => {
          if (path.node.name === item) {
            path.replaceWith(t.valueToNode(opts[item]));
            if (path.parentPath.isBinaryExpression()) {
              const evaluate = path.parentPath.evaluate();
              if (evaluate.variableresult) {
                path.parentPath.replaceWith(t.valueToNode(evaluate.value))
              }
            }
          }
        })
      }
    }
  };
}

